## DEFAULT-Prädikat (default_predicate)

Durch die Angabe eines DEFAULT-Prädikats (default_predicate) können Sie überprüfen, ob eine Spalte den für diese Spalte definierten Vorschlagswert (DEFAULT-Wert) enthält.

### Syntax

<default_predicate> ::= <column_spec> <comp_op> DEFAULT

<comp_op> ::= < | > | <> | != | = | <= | >=
| ~= | ~< | ~> (für Computer mit ASCII-Code)

### Erläuterung

Für die angegebene Spalte muss eine DEFAULT-Spezifikation erfolgt sein. Das kann in folgenden SQL-Anweisungen erfolgen:

· CREATE TABLE-Anweisung

· ALTER TABLE-Anweisung

Wenn die Spalte den NULL-Wert enthält, dann ist <column_spec> <comp_op> DEFAULT undefiniert.

Es gelten die Regeln für Vergleiche von Werten bzw. Wertelisten, wie für Vergleichsprädikate beschrieben.